body {
    background-color: #100e17;
  }
  
  /* .container {
    position: absolute;
    height: 500px;
    width: 800px;
    max-width:1190px;
    display: flex;
  } */
  
  .card {
    display: flex;
    height: 380px;
    width: 300px;
    border-radius: 10px;
    /* box-shadow: -1rem 0 3rem #00000040; */
    box-shadow:0px 8px 13px rgb(0 0 0 / 32%);
    margin-left: -25px;
    transition: 0.4s ease-out;
    -webkit-transition: 0.4s ease-out;
    -o-transition: 0.4s ease-out;
    position: relative;
    cursor:pointer;
    /* left: 0px; */
  }

  .form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

  .card-tua-carta {
    display: flex;
    height: 380px;
    width: 300px;
    border-radius: 10px;
    /* box-shadow: -1rem 0 3rem rgba(0, 0, 0, 0.315); */
    box-shadow:-3px 8px 13px rgb(0 0 0 / 32%);
    transition: 0.4s ease-out;
    position: relative;
    cursor:pointer;
    transition: transform 0.8s;
    -webkit-transition:transform 0.8s;
    -o-transition:transform 0.8s;
    transform-style: preserve-3d;
    -webkit-transition:transform 0.8s;
    -o-transition:transform 0.8s;
    -webkit-transform-style:preserve-3d;
    -o-transform-style:preserve-3d;
    padding:20px;

    /* left: 0px; */
  }


  .card-tua-carta:hover {
    transform: rotateY(-180deg);
    -webkit-transform: rotateY(-180deg);
    -o-transform:rotateY(-180deg); 
    z-index:99999;
    background-color:#f2f466!important;
    color:black!important;
    background-image: none!important;
    /* left: 0px; */
  }

  .card-tua-carta:hover p {
    /* transform: rotateY(-180deg);
    -webkit-transform: rotateY(-180deg);
    -o-transform:rotateY(-180deg);  */
    -moz-transform: scale(-1, 1);
    -webkit-transform: scale(-1, 1);
    -o-transform: scale(-1, 1);
    -ms-transform: scale(-1, 1);
    transform: scale(-1, 1);
    position: absolute;
    right: 20px;
    width: 87%;
    top:52px;
    opacity:1;
  }

  .card-tua-carta p {
    /* display:none; */
    opacity:0;
  }

  .btn {
    cursor: pointer;
    border-radius: 0px;
}

  .card-tua-carta:hover h5 {
    transform: rotateY(-180deg);
    -webkit-transform: rotateY(-180deg);
    -o-transform:rotateY(-180deg); 
    margin-right: 18px;

  }

  .from{
    top: 320px!important;
    font-weight:600;
  }
  
  
  
  .card:not(:first-child) {
      margin-left: -50px;
  }
  
  .card:hover {
    transform: translateX(-100px);
    transition: 0.4s ease-out;
  }
  
  .card:hover ~ .card {
    position: relative;
    left: 50px;
    transition: 0.4s ease-out;
  }
  
  .title {
    color: white;
    font-weight: 300;
    position: absolute;
    left: 20px;
    top: 15px;
  }
  
  .bar {
    position: absolute;
    top: 100px;
    left: 20px;
    height: 5px;
    width: 150px;
  }
  
  .emptybar {
    background-color: #2e3033;
    width: 100%;
    height: 100%;
  }

  .letter-avatar-menu{
    display: inline-grid;
    background-color: green;
    padding: 10px;
    line-height: 0px;
    border-radius: 60px;
    margin-bottom: 0px;
    height: 50px;
    color: white;
    width: 50px;
    text-align: center;
    font-size: 32px;
    border: 2px solid #f3f468;
  }
  
  .filledbar {
    position: absolute;
    top: 0px;
    z-index: 3;
    width: 0px;
    height: 100%;
    background: rgb(0,154,217);
    background: linear-gradient(90deg, rgba(0,154,217,1) 0%, rgba(217,147,0,1) 65%, rgba(255,186,0,1) 100%);
    transition: 0.6s ease-out;
  }
  
  .card:hover .filledbar {
    width: 120px;
    transition: 0.4s ease-out;
  }
  
  .circle {
    position: absolute;
    top: 150px;
    left: calc(50% - 60px);
  }
  
  .stroke {
    stroke: white;
    stroke-dasharray: 360;
    stroke-dashoffset: 360;
    transition: 0.6s ease-out;
  }
  
  svg {
    fill: #17141d;
    stroke-width: 2px;
  }
  
  .card:hover .stroke {
    stroke-dashoffset: 100;
    transition: 0.6s ease-out;
  }

  .modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1rem 1rem;
    border-bottom: 1px solid #dee2e600;
    border-top-left-radius: calc(0.3rem - 1px);
    border-top-right-radius: calc(0.3rem - 1px);
}

.btn-card {
    width:255px;
    bottom: -200px;
    position: relative;
}

.card-wrapper{
        display: -ms-flexbox;
        display: flex;
        -ms-flex-align: center;
        align-items: center;
        padding-top: 40px;
        padding-bottom: 40px;
        background-color: #f5f5f5;
        height: 100vh;
}

.card-center{
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: auto;
}

.modal-footer {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: end;
    justify-content: flex-end;
    padding: 0.75rem;
    border-top: 1px solid #363a3d00;
    border-bottom-right-radius: calc(0.3rem - 1px);
    border-bottom-left-radius: calc(0.3rem - 1px);
}

.alert-warning{
    background-color: red!important;
    position: fixed;
    right: 20px;
    top: 20px;
    color:black!important;
}

.alert-success{
    background-color: #CDF564!important;
    position: fixed;
    right: 20px;
    top: 20px;
    color:black!important;
}

.alert-danger{
    background-color:#F4F467;
    position: fixed;
    right: 20px;
    top: 20px;
    color:black;
}

.title-h5{
    font-size: 2rem;
    margin-bottom: 0;
    line-height: 1.5;
}

.modal-title{
    font-size: 2rem;
    margin-bottom: 0;
    line-height: 1.5;
}

.avatar {
  border-radius: 60px;
  height: 70px;
  border: 4px solid #f3f566;
}
.shadow-menu {
    box-shadow: 10px 10px 132px #5d8181;
}

.btn-primary {
    color: #fff;
    background-color: #2274513b;
    border-color: #ffffff00;
}

.invalid-feedback {
  margin-bottom: 10px;
  font-size: 80%;
  color: #dc3545;
}

.dismiss{
  cursor: pointer;
    margin-left: 20px;
    height: 20px;
    
}

.card-tua-carta p{
  word-wrap: break-word;
  /* word-break: break-all; */
}

.card-tua-carta:hover p {
  word-wrap: break-word;
  /* word-break: break-all; */
}

*{
font-family: 'Space Grotesk', sans-serif;
}

h1,h2,h3,h4{
  font-family: 'Space Grotesk', sans-serif;
  font-weight:600;
}

body{
  background-image:url(../img/bg.jpg);
  background-repeat:no-repeat;
  background-size:cover;
  background-position:center center;
  background-attachment: fixed;
}

.bg-index{
  /* background-image:url(../img/bg.jpg); */
  background-repeat:no-repeat;
  background-size:cover;
  background-position:center center;
  background-attachment: fixed;
}


#menu a{
  color:black!important;
  font-weight:600;
}

 a{
  color:black!important;
  font-weight:600;
}

.card-wrapper {
  background-color: #CDF564;
}

.btn-primary {
  color: #fff;
  background-color: #F037A5;
  border-color: #F037A5;
}

.btn-primary:hover {
  color: #fff;
  background-color: #F037A5;
  border-color: #F037A5;
}
.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
  color: #fff;
  background-color: #F037A5;
  border-color: #F037A5;
}

.btn-primary.focus, .btn-primary:focus {
  color: #fff;
  background-color: #F037A5;
  border-color: #F037A5;
}

.form-signin {
  width: 100%;
  max-width: 400px;
  padding: 15px;
  margin: auto;
  background-color: white;
}

input[type="file" i] {
  background-color: #ffffff;
  border-radius: 4px;
  padding: 4px;
  width: 100%;
  border: 1px solid #d4dadf;
}

input[type="file" i]::after {
  content:"Faz upload da tua foto";
  color:grey;
}

.active{
  text-decoration: underline;
}

.logo-index{
  position: fixed;
  left: 40px;
  top: 40px;
  z-index:99999999;
}

.login-index{
  position: fixed;
  right: 40px;
  top: 40px;
  font-weight: 600;
    padding: 20px 40px;
    background-color: #f3f566;
    border-bottom: 3px solid black;
    z-index:99999999;
}

.avatar-card{
  height: 50px;
    width: 50px;
    border-radius: 50px;
    position: absolute;
    top: -26px;
    left: 130px;
    border: 2px solid #427e6d;
}

.letter-avatar{
  height: 50px;
  width: 50px;
  border-radius: 50px;
  position: absolute;
  top: -26px;
  left: 120px;
  background-color: #427e6d!important;
  color:white;
  font-weight:600;
}

.letter-avatar h5{
  margin-top: 12px;
  margin-left: 18px;
  text-transform: capitalize;
}



.registo-index{
  position: fixed;
  right: 200px;
  top: 40px;
  font-weight: 600;
    padding: 20px 40px;
    background-color: #f3f566;
    border-bottom: 3px solid black;
    z-index:99999999;
}

.container-index{
  height: 90vh;
}

.intro-image{
padding:3rem;
}

.regista-btn-modal{
  border-radius: 0;
  padding: 10px 30px;
  background-color: #f3f566;
  color:black;
  border: 0px;

}

.regista-btn-modal:hover{
  border-radius: 0;
  padding: 10px 30px;
  background-color: #f3f566;
  color:black;
  border-bottom: 3px solid black;

}

.login-btn-modal{
  border-radius: 0;
  padding: 10px 30px;
}

.owl-carousel .owl-item{
  min-height: 380px;
    width: 300px;
  border-radius: 6px;
}

.owl-carousel .owl-item div{
  min-height: 380px;
  width: 300px;
  border-radius: 6px;
  box-shadow: 10px 10px 40px -20px rgba(0,0,0,0.75);
  -webkit-box-shadow: 10px 10px 40px -20px rgba(0,0,0,0.75);
  -moz-box-shadow: 10px 10px 40px -20px rgba(0,0,0,0.75);
}

.owl-carousel .owl-item div a .las{
  background-color: white;
  font-size: 30px;
  margin-left: 10px;
  top: 10px;
  position: relative;
  border-radius: 40px;
  padding: 7px;
  color:#f137a5;
}

.color-magenta{
  color:#f137a5;
}

.owl-carousel .owl-item div a{
 z-index:999999;
 min-height: 380px;
  width: 300px;
  position: absolute;
}

.owl-carousel .owl-stage-outer {
  position: relative;
  overflow: hidden;
  -webkit-transform: translate3d(0px, 0px, 0px);
  height: 394px;
}

.owl-next{
  position: absolute;
  top: 42%;
  right: -30px;
  padding: 30px!important;
    background-color: #f137a6!important;
    border-radius: 52px;
    height: 40px;
    width: 40px;
    border-radius:52px!important;
}

.owl-prev{
  position: absolute;
  top: 42%;
  left: -69px;
  padding: 30px!important;
    background-color: #f137a6!important;
    border-radius: 52px;
    height: 40px;
    width: 40px;
    border-radius:52px!important;
}

.intro-text {
  font-size: 2.25rem;
}

.list-group-horizontal {
  font-size: 12px;
}

.badge-envia{
  background-color: white;
  border-radius: 30px;
  padding: 10px 20px;
  width: 175px;
  margin-left: 6px;
  margin-top: 6px;
  display:none;
  font-size:14px;
  transition: 0.4s ease-out;
}

.card:hover .badge-envia{
 display:block;
 transition: 0.4s ease-out;
}

.margin-header{
  margin-top:15vh;
}

.intro-image-desktop{
display:block;
}

.intro-image-mobile{
  display:none;
  }

/* Responsive Fixes */
@media only screen and (max-width: 790px) {

  #menu a {
    color: black!important;
    font-weight: 600;
    font-size: 13px;
}

  .logo-index {
    position: fixed;
    left: 20px;
    top: 20px;
    z-index: 99999999;
}

.logo-index img{
 height:41px;
}

.registo-index {
  position: fixed;
  font-size:12px;
  right: 120px;
  top: 20px;
  font-weight: 600;
  padding: 10px 20px;
  background-color: #f3f566;
  border-bottom: 3px solid black;
  z-index: 99999999;
}

.login-index {
  position: fixed;
  font-size:12px;
  right: 20px;
  top: 20px;
  font-weight: 600;
  padding: 10px 20px;
  background-color: #f3f566;
  border-bottom: 3px solid black;
  z-index: 99999999;
}

#oferece{
  margin-top:-120px;
}

.owl-carousel .owl-item div {
  min-height: 380px;
  width: 300px;
  margin-left: 24px;
  border-radius: 6px;
  box-shadow: 10px 10px 40px -20px rgb(0 0 0 / 75%);
  -webkit-box-shadow: 10px 10px 40px -20px rgb(0 0 0 / 75%);
  -moz-box-shadow: 10px 10px 40px -20px rgba(0,0,0,0.75);
}

.owl-prev {
  position: absolute;
  top: 42%;
  left: 0px;
  padding: 30px!important;
  background-color: #f137a6!important;
  border-radius: 52px;
  height: 40px;
  width: 40px;
  border-radius: 52px!important;
}

.owl-next {
  position: absolute;
  top: 42%;
  right: 0;
  padding: 30px!important;
  background-color: #f137a6!important;
  border-radius: 52px;
  height: 40px;
  width: 40px;
  border-radius: 52px!important;
}

input[type="file" i]::after {
  content: "Faz upload da tua foto";
  color: grey;
  margin-left: -8px;
  /* display: block; */
  font-size: 13px;
}

.form-signin {
  width: 94%;
  max-width: 400px;
  padding: 15px;
  margin: auto;
  background-color: white;
}

.card {
  margin-bottom: 20px;
  margin-left:0px;
}

.alinha-cards{
  text-align: -webkit-center!important;
  text-align: center;
}

.letter-avatar h5 {
  margin-top: 12px;
  margin-left: 0px;
}

.card-tua-carta:hover h5 {
  margin-left: 16px;
}

body {
  background-position: left center;
  background-attachment: fixed;
}
.list-group-horizontal {
  font-size: 13px;
  overflow-x: auto;
  display: -webkit-box;
}

.intro-image-desktop{
  display:none;
  }
  
  .intro-image-mobile{
    display:block;
    }
  
    .intro-image-mobile {
      display: block;
      height: 99vh;
      width: 108vw;
      left: -8vw;
      right: -15px;
      position: absolute;
  }

  .index-menu{
    height: 85px;
    width: 100vw;
    background-color: #ffffff;
    margin-bottom: -85px;
    position: fixed;
    top: 0;
    z-index: 999999999;
  }
}

/* Tabela Responsiva */


@media screen and (max-width: 600px) {
  table {
    border: 0;
  }

  table caption {
    font-size: 1.3em;
  }
  
  table thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  table tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  table td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  table td::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  table td:last-child {
    border-bottom: 0;
  }

  .table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
    background-color: white;
}

.ajusta-foto{
 margin-left: 168px;
}
}
